MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025063Open CASCADE[OCCT] OCCT:Visualizationpublic2014-07-09 13:412019-06-25 19:52
Reporterkgv 
Assigned Tobugmaster 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025063: Visualization - 2D objects are not displayed at some camera positions
DescriptionTwo issues occurs within 2D objects - camera frustum become extremely thin leading to broken (missing) presentation and rotation, and FPE exception goes from OpenGl_BVHTreeSelector (leading to application crash):
Standard_ShortReal OpenGl_BVHTreeSelector::SignedPlanePointDistance (const OpenGl_Vec4& theNormal,
                                                                     
const OpenGl_Vec4& thePnt)
{
  const Standard_ShortReal aNormLength = std::sqrt (theNormal.x() * theNormal.x()
                                                  + theNormal.y() * theNormal.y()
                                                  + theNormal.z() * theNormal.z());
  const Standard_ShortReal anInvNormLength = 1.0f / aNormLength;

aNormLength is zero in this case.
Steps To Reproduce
pload MODELING VISUALIZATION
vinit
vtop
vline l -90 -90 130 90 90 130
vfit
TagsNo tags attached.
Test case numberbugs vis(004) bug25063
Attached Filespng file icon line_671.png (1,431 bytes) 2014-07-09 14:37
png file icon circle_671.png (2,925 bytes) 2014-07-09 14:37

- Relationships
related to 0023400closedbugmaster Community Triangulation of thin ring contains gap 
related to 0024307closedapn Open CASCADE TKOpenGl - efficient culling of large number of presentations 
parent of 0029191newkgv Open CASCADE Visualization - viewer rotations are not smooth 
related to 0029837assignedtizmaylo Open CASCADE Visualization, TKOpenGl - Fit All operation works not correct 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0030064)
duv (developer)
2014-07-10 19:10

Dear kgv,

please take a look at the patch.
(0030065)
kgv (developer)
2014-07-10 20:07

Please test the patch.
(0030141)
mkv (tester)
2014-07-14 19:12

Dear BugMaster,

Branch CR25063 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: be8b965285e1d0fabc4cf880c635787dcd8a79f4

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25063-master-occt/Debian60-64/bugs/vis/bug25063.html [^]
http://occt-tests/CR25063-master-occt/Windows-32-VC9/bugs/vis/bug25063.html [^]
bugs vis(004) bug25063: OK

Testing on Linux:
Total MEMORY difference: 352626012 / 352298144
Total CPU difference: 53569.63000000009 / 54524.60999999987

Testing on Windows:
Total MEMORY difference: 377760636 / 378502168
Total CPU difference: 41164.125 / 46775.625

There are no differences in images found by testdiff.
(0030142)
git (administrator)
2014-07-14 19:13

Branch CR25063 has been updated by mkv.

SHA-1: 815bd45207555337b3c9dbcb55685c043f6bf744
(0030314)
git (administrator)
2014-07-22 15:57

Branch CR25063 has been deleted by inv.

SHA-1: 815bd45207555337b3c9dbcb55685c043f6bf744

- Related Changesets
occt: master 3c648527
Timestamp: 2014-07-17 07:31:29
Author: duv
Committer: bugmaster
Details ] Diff ]
0025063: Visualization - 2D objects are not displayed at some camera positions

Minimum thresolds introduced to zfit operation and to camera SetDistance() method.

Test case for issue CR25063
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_BVHTreeSelector.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
add - tests/bugs/vis/bug25063 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-09 13:41 kgv New Issue
2014-07-09 13:41 kgv Assigned To => kgv
2014-07-09 13:42 kgv Assigned To kgv => san
2014-07-09 13:42 kgv Assigned To san => vpa
2014-07-09 13:42 kgv Assigned To vpa => duv
2014-07-09 13:42 kgv Priority normal => high
2014-07-09 13:42 kgv Relationship added related to 0023400
2014-07-09 13:43 kgv Relationship added related to 0024307
2014-07-09 14:37 kgv File Added: line_671.png
2014-07-09 14:37 kgv File Added: circle_671.png
2014-07-10 19:10 duv Note Added: 0030064
2014-07-10 19:10 duv Assigned To duv => kgv
2014-07-10 19:10 duv Status new => resolved
2014-07-10 20:07 kgv Note Added: 0030065
2014-07-10 20:07 kgv Assigned To kgv => bugmaster
2014-07-10 20:07 kgv Status resolved => reviewed
2014-07-11 16:09 mkv Assigned To bugmaster => mkv
2014-07-14 19:12 mkv Note Added: 0030141
2014-07-14 19:12 mkv Test case number => bugs vis(004) bug25063
2014-07-14 19:12 mkv Assigned To mkv => bugmaster
2014-07-14 19:12 mkv Status reviewed => tested
2014-07-14 19:13 git Note Added: 0030142
2014-07-22 15:13 bugmaster Changeset attached => occt master 3c648527
2014-07-22 15:13 bugmaster Status tested => verified
2014-07-22 15:13 bugmaster Resolution open => fixed
2014-07-22 15:57 git Note Added: 0030314
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:53 aiv Status verified => closed
2017-10-06 15:08 kgv Relationship added parent of 0029191
2019-06-25 19:52 tizmaylo Relationship added related to 0029837


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker